## t50 5.6.4

=== debian/changelog ===
t50 (5.6.4-1) unstable; urgency=low

  * Initial release to Debian.
  * Fix watch file
  * Imported Upstream version 5.6.4
  * Delete rules file overrides
  * Delete dirs file. No need for it
  * Set proper values to control file fields
  * Build with autoreconf
  * Set hardening options
  * Fix description field in control file
  * Fix minor spelling errors. Lintian is happier now
  * Fix copyright file
  * Bump standards-version to 3.9.8
  * Include README.modules in docs.

 -- Marcos Fouces <mfouces@yahoo.es>  Thu, 28 Jul 2016 11:47:05 +0200

t50 (5.4.1-rc1-1kali1) kali; urgency=low

  * Fixed build for 32 bit

 -- Devon Kearns <dookie@kali.org>  Thu, 27 Dec 2012 05:46:12 -0700

t50 (5.4.1-rc1-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Wed, 26 Dec 2012 11:18:29 -0700
