=== debian/control ===
Source: t50
Section: utils
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <mfouces@yahoo.es>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 3.9.8
Homepage: https://github.com/fredericopissarra/t50
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/t50.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/t50.git


Package: t50
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-protocol packet injector tool
 Multi-protocol packet injector tool for *nix systems, 
 actually supporting 15 protocols.
 .
 Features:
 .
  - Flooding
  - CIDR support
  - TCP, UDP, ICMP, IGMPv2, IGMPv3, EGP, DCCP, RSVP, RIPv1, 
 RIPv2, GRE, ESP, AH, EIGRP and OSPF support.
  - TCP Options.
  - High performance.
  - Can hit about 1.000.000 packets per second.
