=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/t50-$1\.tar\.gz/ \
  https://github.com/fredericopissarra/t50/tags .*/v?(\d\S*)\.tar\.gz
