## t50 5.6.7

=== debian/changelog ===
t50 (5.6.7-1) unstable; urgency=medium

  * New upstream version 5.6.7
  * Fix set-proper-compiler-flags.patch to reflect upstream changes.

 -- Marcos Fouces <mfouces@yahoo.es>  Thu, 01 Sep 2016 22:59:52 +0200

t50 (5.6.6-1) unstable; urgency=high

  * New upstream release.
  * debian/patches:
    - series: Remove fix-spelling-errors.patch, applied upstream.
    - autoreconf-version-number.patch: Add patch, upstream forgot to change
      version number.
    - set-proper-compiler-flags.patch: Update to reflect upstream changes.

 -- Samuel Henrique <samueloph@gmail.com>  Mon, 29 Aug 2016 10:19:21 -0300

t50 (5.6.4-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Change debian/patches/set-proper-compiler-flags.patch to empty CFLAGS.
    The build system will inject sane default flags for us. We thus get
    rid of the problematic -march=native.
  * Enable pie hardening, it seems to work.
  * Bump watch to v4.
  * Add myself as an uploader.
  * Add myself as copyright holder.

  [ Marcos ]
  * Fix changelog and control file

  [ Raphaël Hertzog ]
  * Set architecture to linux-any.

 -- Samuel Henrique <samueloph@gmail.com>  Fri, 26 Aug 2016 10:21:16 +0200
