## t50 5.6.8

=== debian/changelog ===
t50 (5.6.8-1) unstable; urgency=medium

  * New upstream version 5.6.8
  * Delete disable-linux-test.patch. It is already applied upstream.
  * Update to debhelper 10.

 -- Marcos Fouces <mfouces@yahoo.es>  Wed, 12 Oct 2016 21:18:13 +0200

t50 (5.6.7-2) unstable; urgency=high

  * debian/patches/disable-linux-test.patch: Create patch to avoid FTBFS on
    systems where host_os != linux-gnu. Thanks to Gianfranco Costamagna.

 -- Marcos Fouces <mfouces@yahoo.es>  Mon, 05 Sep 2016 18:30:46 +0200
