=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Marcos Fouces <mfouces@yahoo.es>,
            Samuel Henrique <samueloph@gmail.com>
-Build-Depends: debhelper (>=9), dh-autoreconf
+Build-Depends: debhelper (>=10), dh-autoreconf
 Standards-Version: 3.9.8
 Homepage: https://github.com/fredericopissarra/t50
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/t50.git
