## t50 5.6.13

=== debian/changelog ===
t50 (5.6.13-2) unstable; urgency=medium

  * d/p/ftbfs_i386: new patch to remove extra comma. Thanks to
    "Fernando Debian" for the help confirming and testing the fix
    (closes: #865785).

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 25 Jun 2017 13:12:09 -0300

t50 (5.6.13-1) unstable; urgency=medium

  * New upstream version 5.6.13
  * Remove unneeded patch. Upstream doesn't use CPU
    specific flags anymore.
  * Remove unneeded dh-autoreconf build dependency. dh 10
    use it by default.

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.0.0.
  * debian/patch/gcc_flags: New patch to address CFLAGS, needed for new release.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 18 Jun 2017 22:33:38 +0200
