## t50 5.6.15

=== debian/changelog ===
t50 (5.6.15-1) unstable; urgency=medium

  * New upstream version 5.6.15
  * d/patches: remove all patches, applied upstream, thanks to Lukas
    Schwaighofer <lukas@schwaighofer.name> for helping with makefile flags.

 -- Samuel Henrique <samueloph@gmail.com>  Mon, 03 Jul 2017 21:55:12 -0300
