=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
-Uploaders: Marcos Fouces <mfouces@yahoo.es>,
+Uploaders: Marcos Fouces <marcos.fouces@gmail.com>,
            Samuel Henrique <samueloph@gmail.com>
-Build-Depends: debhelper (>=10), dh-autoreconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=10)
+Standards-Version: 4.0.0
 Homepage: https://github.com/fredericopissarra/t50
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/t50.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/t50.git
