## t50 5.7.0

=== debian/changelog ===
t50 (5.7.0-2) unstable; urgency=medium

  * Do not use "native" flags (Closes: #870087)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:51:17 +0200

t50 (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * d/p/manpage_typos: new patch to fix typos
  * d/watch: mangle beta/alpha releases

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 29 Jul 2017 10:31:14 -0300
