=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/t50-$1\.tar\.gz/i,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
  https://github.com/fredericopissarra/t50/tags .*/v?(\d\S*)\.tar\.gz
