## t50 5.7.1

=== debian/changelog ===
t50 (5.7.1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * d/control: fix Description indentation

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Marcos Fouces ]
  * Use secure url format in copyright file
  * Update copyright year
  * Bump to dh compat level 11
  * New upstream version 5.7.1
  * Rework patches for new upstream release
    ~ Remove manpage_typos.patch (applied upstream)
    ~ Refresh disable-native.patch
    ~ Add fix-flags.patch
  * Add cryptographic signature verification
  * Add some upstream metadata
  * Bump to Standards-version 4.1.3

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 11 Mar 2018 16:21:53 +0100
