=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/fredericopissarra/t50/releases .*/v?(\d\S*)\.tar\.gz
