## t50 5.8.2

=== debian/changelog ===
t50 (5.8.2-3) unstable; urgency=high

  * d/p/01_Fix-Makefile.patch: Update to remove march-native flag,
    there was still flag missed by the last change for i686.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 12 Nov 2018 12:39:00 -0200

t50 (5.8.2-2) unstable; urgency=high

  * d/u/metadata: update urls to gitlab
  * d/p/01_Fix-Makefile.patch: Update to remove march-native flag
    (closes: #911971)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 26 Oct 2018 16:38:49 -0300

t50 (5.8.2-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * New upstream version 5.8.2
  * Bump to Standards-Version: 4.2.1 (no changes required)
  * Delete all previous patches as patched files no longer exists.
  * Create 01_Fix-Makefile.patch
  * Update control, copyright and watch file to reflect new homepage at Gitlab.
  * Update pgpsigurlmangle option in watch file

  [ Samuel Henrique ]
  * Update my email to @debian.org

  [ Raphaël Hertzog ]
  * Update watch file to track sf.net with GPG signature.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Tue, 25 Sep 2018 23:36:39 +0200
