=== debian/changelog ===
t50 (5.8.3-2) unstable; urgency=medium

  * d/p/01_Fix-Makefile.patch: Remove buggy Arch detection and specific flags.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 13 May 2019 23:44:32 +0100

t50 (5.8.3-1) unstable; urgency=medium

  * New upstream version 5.8.3
  * Rework patches for new upstream version.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 30 Nov 2018 00:10:19 +0100
