=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper (>=11)
-Standards-Version: 4.1.3
-Homepage: https://github.com/fredericopissarra/t50
+Standards-Version: 4.2.1
+Homepage: https://gitlab.com/fredericopissarra/t50
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/t50
 Vcs-Git: https://salsa.debian.org/pkg-security-team/t50.git
