## t50 5.8.5

=== debian/changelog ===
t50 (5.8.5-2) unstable; urgency=medium

  * Switch to debhelper-compat from DH 12.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 16 Sep 2019 23:09:38 +0200

t50 (5.8.5-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * New upstream version 5.8.5
  * Refresh patches.
  * Fix FTCBFS: Use the makefile buildsystem for dh_auto_build.
    Thanks to Helmut Grohne (Closes: #930208).

  [ Samuel Henrique ]
  * Bump DH level to 12
  * Bump Standards-Version to 4.4.0

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 15 Sep 2019 19:50:18 +0200
