## t50 5.8.7

=== Makefile ===
--- 
+++ 
@@ -10,23 +10,20 @@
 #       This way you don't need anything other than this makefile to
 #       compile the project.
 
-VERSION=5.8.3
+VERSION=5.8.7
 
-CC=gcc
+#CC=gcc
+#
+# OBS: T50 will compile only on GCC 5 or above. If you are feeling lucky,
+#      try GCC 4.9 or CLANG... But I don't recomended.
+#
+
 LD=$(CC)
 
 INCLUDEDIR=src/include
-CFLAGS=-std=gnu11
+CFLAGS=-std=gnu11 -I $(INCLUDEDIR)
 LDFLAGS=
 LDLIBS=
-
-# Check GCC version (must be 5 or greater)
-# OBS: This makes compilation GCC dependent (cannot use clang).
-#      If you are feeling lucky, comment these lines and change CC to 'clang'.
-GCCVERSION=$(shell expr "`gcc -dumpversion | sed -n 's/^\([0-9]\+\)\.*.*$$/\1/p'`" \>= 5)
-ifeq "$(GCCVERSION)" "0"
-  $(error "T50 will compile only with GCC 5 or greater")
-endif
 
 # Just define DEBUG environment var to compile for debugging:
 #
@@ -36,7 +33,10 @@
 	CFLAGS += -O0 -g
 else
   # Optimization level 2 (better results) and no canaries.
-  CFLAGS += -O2 -DNDEBUG
+  CFLAGS += -O2 -DNDEBUG -ffast-math
+
+  # strip symbols and turn more linker optimizations on (if available).
+  LDFLAGS += -s -O2
 
   ARCHITECTURE = $(shell arch)
 
@@ -51,27 +51,24 @@
     LDFLAGS += -flto
   endif
 
-	# TODO: tunning for cortex-a#?
+  # TODO: tunning for arm-cortex-a7? (Raspberry PI?)
+  # TODO: aarch64?!
   # Options for ARMv7-a
-  ifneq ($(findstr armv7,$(ARCHITECTURE)),)
+  ifneq ($(findstring armv7,$(ARCHITECTURE)),)
     CFLAGS += -march=armv7-a -fno-stack-protector -flto
     LDFLAGS += -flto
   endif
+
   # Options for ARMv8-a
-  ifneq ($(findstr armv8,$(ARCHITECTURE)),)
+  ifneq ($(findstring armv8,$(ARCHITECTURE)),)
     CFLAGS += -march=armv8-a -fno-stack-protector -flto
     LDFLAGS += -flto
   endif
-
-  # strip symbols and turn more linker optimizations on (if available).
-  LDFLAGS += -s -O2
 endif
-
-CFLAGS += -I $(INCLUDEDIR) -std=gnu11
 
 # Added to use ANSI CSI codes (beautifier).
 ifdef USE_ANSI
-	CFLAGS += -DUSE_ANSI
+  CFLAGS += -DUSE_ANSI
 endif
 
 EXECUTABLE=bin/t50
@@ -156,9 +153,9 @@
 	fi;
 	cp bin/t50 /sbin/; cp doc/t50.8 /usr/share/man/man8/; \
 	chown root: /sbin/t50 /usr/share/man/man8; \
-	chmod 0750 /sbin/t50; \
+	chmod 4750 /sbin/t50; \
 	gzip -9 /usr/share/man/man8/t50.8; \
-	chmod 0664 /usr/share/man/man8/t50.8.gz
+	chmod 0644 /usr/share/man/man8/t50.8.gz
 
 uninstall:
 	@$(call checkifroot)
