=== debian/changelog ===
t50 (5.8.7-1) unstable; urgency=medium

  * New upstream version 5.8.7
  * Bump Standards-Version to 4.4.1
  * d/control: Add Rules-Requires-Root: no
  * d/patches:
    - 01_Fix-Makefile.patch: Update patch
    - build_without_root_perms.patch: Remove unneeded makefile step to allow
      non-root build
  * Add salsa-ci.yml

 -- Samuel Henrique <samueloph@debian.org>  Sat, 04 Jan 2020 18:31:32 +0000
