=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>,
            Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/fredericopissarra/t50
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/t50
 Vcs-Git: https://salsa.debian.org/pkg-security-team/t50.git
