=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://sf.net/t50/t50-@ANY_VERSION@@ARCHIVE_EXT@

# To match tags on the git repository:
#https://gitlab.com/fredericopissarra/t50/tags (?:.*/)@PACKAGE@-v@ANY_VERSION@@ARCHIVE_EXT@
