## t50 5.8.7b

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# vim: set noet :
 #
 #     __________ ________  _____
 #    |__    ___/|   ____/ /  _  \ the fastest packet injector.
@@ -10,7 +9,7 @@
 #       This way you don't need anything other than this makefile to
 #       compile the project.
 
-VERSION=5.8.7
+VERSION=5.8.7b
 
 #CC=gcc
 #
@@ -29,6 +28,7 @@
 #
 # $ DEBUG=1 make
 #
+
 ifdef DEBUG
 	CFLAGS += -O0 -g
 else
@@ -40,14 +40,35 @@
 
   ARCHITECTURE = $(shell arch)
 
+  IS_GCC = $(shell $(CC) -v 2>&1 | sed -nE 's/^(.+) version.+$$/\1/p')
+  CC_VERSION = $(shell $(CC) -v 2>&1 | sed -nE 's/^.+version (.).+$$/\1/p')
+
   # Options for x86-64
   ifeq ($(ARCHITECTURE),x86_64)
-    CFLAGS += -march=native -ftree-vectorize -flto -fno-stack-protector
+    CFLAGS += -march=native -mtune=native -ftree-vectorize -flto -fno-stack-protector -mstringop-strategy=rep_byte
+
+		# Avoid CTE on Intel Platforms.
+		# Currently works on GCC 9+ (don't know if works on clang).
+    ifeq ($(IS_GCC),gcc)
+      ifeq ($(shell expr $(CC_VERSION) \>= 9),1)
+        CFLAGS += -fcf-protection=none
+      endif
+    endif
+
     LDFLAGS += -flto
   endif
   # Options for i386
   ifeq ($(ARCHITECTURE),i686)
-    CFLAGS += -march=native -flto -fno-stack-protector
+    CFLAGS += -march=native -mtune=native -flto -fno-stack-protector -mstringop-strategy=rep_byte
+
+		# Avoid CTE on Intel Platforms.
+		# Currently works on GCC 9+ (don't know if works on clang).
+    ifeq ($(IS_GCC),gcc)
+      ifeq ($(shell expr $(CC_VERSION) \>= 9),1)
+        CFLAGS += -fcf-protection=none
+      endif
+    endif
+
     LDFLAGS += -flto
   endif
