=== debian/changelog ===
t50 (5.8.7b-1) unstable; urgency=medium

  * New upstream version 5.8.7b
  * Refresh 01_Fix-Makefile.patch.
  * Bump to Standards-Version 4.6.0 (no changes required).
  * Remove non-existent upstream metadata field as per DEP-12.

 -- Marcos Fouces <marcos@debian.org>  Wed, 25 Aug 2021 00:32:32 +0200

t50 (5.8.7-2) unstable; urgency=medium

  [ Marcos Fouces ]
  * Update uploader email to @debian.org.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Marcos Fouces <marcos@debian.org>  Thu, 18 Feb 2021 18:08:57 +0100
