## t50 5.8.7c

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,36 @@
 # NOTE: I've got rid of autoconf 'cause there is a dependency there.
 #       This way you don't need anything other than this makefile to
 #       compile the project.
-
-VERSION=5.8.7b
+#
+# T50 - Experimental Mixed Packet Injector
+#
+# Copyright (C) 2010 - 2025 - T50 developers
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+VERSION=5.8.7c
 
 #CC=gcc
 #
 # OBS: T50 will compile only on GCC 5 or above. If you are feeling lucky,
 #      try GCC 4.9 or CLANG... But I don't recomended.
-#
 
 LD=$(CC)
+ECHO=/usr/bin/echo
 
 INCLUDEDIR=src/include
-CFLAGS=-std=gnu11 -I $(INCLUDEDIR)
+CFLAGS=-I $(INCLUDEDIR)
 LDFLAGS=
 LDLIBS=
 
@@ -45,7 +62,7 @@
 
   # Options for x86-64
   ifeq ($(ARCHITECTURE),x86_64)
-    CFLAGS += -march=native -mtune=native -ftree-vectorize -flto -fno-stack-protector -mstringop-strategy=rep_byte
+    CFLAGS += -march=native -ftree-vectorize -flto -fno-stack-protector 
 
 		# Avoid CTE on Intel Platforms.
 		# Currently works on GCC 9+ (don't know if works on clang).
@@ -57,9 +74,10 @@
 
     LDFLAGS += -flto
   endif
+
   # Options for i386
   ifeq ($(ARCHITECTURE),i686)
-    CFLAGS += -march=native -mtune=native -flto -fno-stack-protector -mstringop-strategy=rep_byte
+    CFLAGS += -march=native -flto -fno-stack-protector
 
 		# Avoid CTE on Intel Platforms.
 		# Currently works on GCC 9+ (don't know if works on clang).
@@ -85,6 +103,8 @@
     CFLAGS += -march=armv8-a -fno-stack-protector -flto
     LDFLAGS += -flto
   endif
+
+  # TODO: Options for other architectures will go here.
 endif
 
 # Added to use ANSI CSI codes (beautifier).
@@ -143,15 +163,13 @@
 $(EXECUTABLE): $(OBJECTS)
 	$(LD) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
-# Implicit rules (all .c files will be compiled!)
-src/%.o: src/%.c
-src/help/%.o: src/help/%.c
-src/modules/%.o: src/modules/%.c
+# Rules
+include dependencies.d
 
 # 'clean' only deletes the object files.
 clean:
-	@echo 'Deleting .o files...'
-	-find src/ -type f -name '*.o' -delete
+	@$(ECHO) -e "\e[1;33mDeleting .o files (if any)...\e[m"
+	@-find src/ -type f -name '*.o' -delete
 
 # distclean delete the object files AND the executable.
 distclean: clean
@@ -169,7 +187,7 @@
 install:
 	@$(call checkifroot)
 	@if [ ! -e "$(EXECUTABLE)" ]; then \
-		echo "Try 'make' first."; \
+		$(ECHO) -e "\e[1;31mERROR\e[m: Try 'make' first."; \
 		exit 1; \
 	fi;
 	cp bin/t50 /sbin/; cp doc/t50.8 /usr/share/man/man8/; \
@@ -184,4 +202,4 @@
 
 # Needed to build the project source tarball (no signature generation here).
 dist: distclean
-	tar -czvf dist/t50-$(VERSION).tar.gz --exclude=*.tar.gz --exclude=*.asc *
+	tar -czvf dist/t50-$(VERSION).tar.gz --exclude=*.tar.gz *
