=== debian/changelog ===
t50 (5.8.7c-2) unstable; urgency=medium

  * Fix FTBS in armhf architecture (Closes: #1115494).

 -- Marcos Fouces <marcos@debian.org>  Thu, 18 Sep 2025 18:33:27 +0200

t50 (5.8.7c-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Peter Wienemann ]
  * Fix build failure after successful build (Closes: #1047444, #1049683)

  [ Marcos Fouces ]
  * New upstream version 5.8.7c
  * Refresh/rework patches.
  * Bump to Standards-Version 4.7.2 (no changes required).
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Tue, 16 Sep 2025 23:35:34 +0200
