=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marcos Fouces <marcos@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/fredericopissarra/t50
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/t50
